package com.hchyun.generator.service;

import java.util.List;

import com.hchyun.common.utils.ServerResult;
import com.hchyun.generator.entity.Apiclass;

/**
 * 接口类名Service接口
 * 
 * @author hchyun
 * @date 2021-01-24
 */
public interface ApiclassService
{
    /**
     * 查询接口类名
     * 
     * @param id 接口类名ID
     * @return 接口类名
     */
    ServerResult<Apiclass> selectApiclassById(Long id);

    /**
     * 查询接口类名列表
     * 
     * @param apiclass 接口类名
     * @return 接口类名集合
     */
    ServerResult<List<Apiclass>> selectApiclassList(Apiclass apiclass);

    /**
     * 新增接口类名
     * 
     * @param apiclass 接口类名
     * @return 结果
     */
    ServerResult<Integer> insertApiclass(Apiclass apiclass);

    /**
     * 修改接口类名
     * 
     * @param apiclass 接口类名
     * @return 结果
     */
    ServerResult<Integer> updateApiclass(Apiclass apiclass);

    /**
     * 批量删除接口类名
     * 
     * @param ids 需要删除的接口类名ID
     * @return 结果
     */
    ServerResult<Integer> deleteApiclassByIds(Long[] ids);

    /**
     * 删除接口类名信息
     * 
     * @param id 接口类名ID
     * @return 结果
     */
    ServerResult<Integer> deleteApiclassById(Long id);
}
